TransferTreeOutcome (The Data Transfer Scheduler DB interface 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.db.model
Class TransferTreeOutcome

    java.lang.Object
      org.gcube.datatransfer.scheduler.db.model.TransferTreeOutcome

All Implemented Interfaces:
  Serializable

    public class TransferTreeOutcome

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`TransferTreeOutcome()`

Method Summary
`String` | `getSourceId()`
`String` | `getStorageId()`
`String` | `getSubmittedDateOfTransfer()`
`int` | `getTotalReadTrees()`
`int` | `getTotalWrittenTrees()`
`String` | `getTransferId()`
`String` | `getTransferTreeOutcomesId()`
`String` | `getTreeException()`
`boolean` | `isFailure()`
`boolean` | `isSuccess()`
`void` | `setFailure(boolean failure)`
`void` | `setSourceId(String sourceId)`
`void` | `setStorageId(String storageId)`
`void` | `setSubmittedDateOfTransfer(String submittedDateOfTransfer)`
`void` | `setSuccess(boolean success)`
`void` | `setTotalReadTrees(int totalReadTrees)`
`void` | `setTotalWrittenTrees(int totalWrittenTrees)`
`void` | `setTransferId(String transferId)`
`void` | `setTransferTreeOutcomesId(String transferTreeOutcomesId)`
`void` | `setTreeException(String treeException)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferTreeOutcome

    public TransferTreeOutcome()

Method Detail

### getTransferTreeOutcomesId

    public String getTransferTreeOutcomesId()

### getSubmittedDateOfTransfer

    public String getSubmittedDateOfTransfer()

### getTransferId

    public String getTransferId()

### getSourceId

    public String getSourceId()

### getStorageId

    public String getStorageId()

### getTreeException

    public String getTreeException()

### getTotalReadTrees

    public int getTotalReadTrees()

### getTotalWrittenTrees

    public int getTotalWrittenTrees()

### isSuccess

    public boolean isSuccess()

### isFailure

    public boolean isFailure()

### setTransferTreeOutcomesId

    public void setTransferTreeOutcomesId(String transferTreeOutcomesId)

### setSubmittedDateOfTransfer

    public void setSubmittedDateOfTransfer(String submittedDateOfTransfer)

### setTransferId

    public void setTransferId(String transferId)

### setSourceId

    public void setSourceId(String sourceId)

### setStorageId

    public void setStorageId(String storageId)

### setTreeException

    public void setTreeException(String treeException)

### setTotalReadTrees

    public void setTotalReadTrees(int totalReadTrees)

### setTotalWrittenTrees

    public void setTotalWrittenTrees(int totalWrittenTrees)

### setSuccess

    public void setSuccess(boolean success)

### setFailure

    public void setFailure(boolean failure)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.